### nncp-call ¶

    $ nncp-call [options]
        [-onlinedeadline INT]
        [-maxonlinetime INT]
        [-rx|-tx]
        [-list]
        [-pkts PKT,PKT,...]
        [-rxrate INT]
        [-txrate INT]
        [-autotoss*]
        [-nock]
        [-ucspi]
        [-mcd-wait INT]
        NODE[:ADDR] [FORCEADDR]

Call (connect to) specified `NODE` and run synchronization protocol with the daemon on the remote side. Normally this command could be run any time you wish to either check for incoming packets, or to send out queued ones. Synchronization protocol allows resuming and bidirectional packets transfer.

If `-rx` option is specified then only inbound packets transmission is performed. If `-tx` option is specified, then only outbound transmission is performed.

`-onlinedeadline` overrides onlinedeadline. `-maxonlinetime` overrides maxonlinetime. `-rxrate`/`-txrate` override rxrate/txrate.

`-list` option allows you to list packets of remote node, without any transmission. You can specify what packets your want to download, by specifying `-pkts` option with comma-separated list of packets identifiers.

Each `NODE` can contain several uniquely identified `ADDR`esses in configuration file. If you do not specify the exact one, then all will be tried until the first success. Optionally you can force `FORCEADDR` address usage, instead of addresses taken from configuration file. You can specify `host:port`, `|some command` and `yggdrasil:PUB;PRV;PEER[,…]` formats.

If you specify `-ucspi` option, then it is assumed that you run `nncp-call` command under some UCSPI-TCP compatible utility, that provides read/write channels through 6/7 file descriptors.

`-mcd-wait` options tells to wait up to specified number of seconds for the MultiCast Discovery packet from the specified `NODE`. When the packet is received, initiate a call.

`-autotoss` option runs tosser on node’s spool every second during the call. All `-autotoss-*` options is the same as in `nncp-toss` command.

Partly downloaded packets are stored in `.part` files. By default all downloaded files are sequentially checksummed in the background, stripping `.part` extension if is successful. If `-nock` option is set, then no checksumming is done, renaming fully downloaded files to `.nock` extension. Pay attention that checksumming can be time consuming and connection could be lost during that check, so remote node won’t be notified that the file is finished. If you run `nncp-check -nock`, that will checksum files and strip the `.nock` extension, then repeated call to remote node will notify about packet’s completion. Also it will be notified if tossing created `seen/` file. Read more about `-nock` option.